<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

class Modules_FlexClamServer_ApiCli extends pm_Hook_ApiCli{
    

   public function helpCommand() { 
		$this->stdout("Commands :\n");
		$this->stdout("\t-scan <file>\n");
		$this->stdout("Formats :\n");
		$this->stdout("\t--json , --xml , --cmd");
		$this->exitCode(0);
   }


   public function scanCommand(){ self::CallBin($this->getArguments()); }
   public function defaultCommand() {  $this->helpCommand(); $this->exitCode(1);  }

   public function virusCommand(){ 

	if(count($this->getArguments())<2){
		$this->stderr("Error : Arguments");
		$this->exitCode(1);
	}

	$virusNames = (array)explode("|", $this->getArguments()[1]);
	$virusFiles = (array)explode("|", $this->getArguments()[2]);

	$contentNoti = "";
	$contentVirus = "";
	for($icount=0;$icount<count($virusFiles);$icount++) { 
		$contentNoti = $contentNoti . "<li>" . $virusNames[$icount] . "</li>";
		$contentVirus = $contentVirus . "\n" . $virusNames[$icount] . "\n". $virusFiles[$icount] . "\n";
	}


	pm_Locale::setCode(pm_Client::getAdmin()->getProperty("locale"));

	$notificationManager = new pm_Notification();
	$notificationManager->send("alert", ["customkey" => "virus" , "customTitle" => "Virus","customMessage" => pm_Locale::lmsg("noti.NotiFoundVirus", ["info" => "<br><br>" .$contentNoti]),"customLinkTitle" => pm_Locale::lmsg("tabVirus") , "customLink" => pm_Context::getBaseUrl() . "index.php/index/virus" ]);

	if(Modules_FlexClamServer_Settings::Get("EnableNotiEmail","0")=="1"){		
		$notificationManager->send("email_admin", ['subject-text' => pm_Locale::lmsg('noti.typeAlert'),'message-text' => pm_Locale::lmsg("noti.NotiFoundVirus", ["info" => "\n" . $contentVirus])]);
	}

   }
    


   private function CallBin($argments) { 
		self::Write(pm_ApiCli::callSbin("FlexClamServer.exe",$argments,1));
   }
    private function Write($result){

	if($result['code']===0){
		$this->stdout($result['stdout']);
	}else{
		$this->stderr($result['stderr']);
	}

	$this->exitCode($result['code']);
    }
}

