<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

class Modules_FlexClamServer_CustomButtons extends pm_Hook_CustomButtons{


    public function getButtons(){

        $buttons = [[
            'place' => self::PLACE_ADMIN_HOME,
            'title' => "Flex Clam Server",
	    'description' => "Antivirus / Malware",
            'icon' => pm_Context::getBaseUrl() . 'images/logo.png',
            'link' => pm_Context::getActionUrl('index'),
        ],[
            'place' => self::PLACE_ADMIN_NAVIGATION,
	    'section' => self::SECTION_NAV_SERVER_MANAGEMENT,
            'order' => 2,
            'title' => "Flex Antivirus",
            'description' => pm_Locale::lmsg('AppDesc'),
            'icon' => pm_Context::getBaseUrl() . 'images/menu-icon.png',
            'link' => pm_Context::getActionUrl('index'),
        ],[
            'place' => self::PLACE_ADMIN_TOOLS_AND_SETTINGS,
            'title' => "Flex Clam Server",
            'description' => "Antivirus / Malware",
            'icon' => pm_Context::getBaseUrl() . 'images/logo.png',
            'link' => pm_Context::getActionUrl('index'),
        ],[
            'place' => self::PLACE_HOSTING_PANEL_NAVIGATION,
            'title' => "Flex Antivirus",
            'description' => pm_Locale::lmsg('AppDesc'),
            'icon' => pm_Context::getBaseUrl() . 'images/menu-icon.png',
            'link' => pm_Context::getActionUrl('index'),
        ]];

	return $buttons;
   }
}
