<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

require_once (__DIR__ . '/../library/NotificationPanel.php');

class Modules_FlexClamServer_Notifications extends pm_Hook_Notifications{

    public function getNotifications(){


	$Notifications = [
          'info' => new Modules_FlexClamServer_NotificationPanel(
             "{{{ customkey }}}",
              pm_Locale::lmsg("noti.typeInfo"),
            "{{{ customMessage }}}",
            "{{{ customTitle }}}",
            pm_Notifications_PanelNotification::CATEGORY_INFORMATION,
            pm_Notifications_PanelNotification::AREA_PRODUCT
          ),
          'alert' => new Modules_FlexClamServer_NotificationPanel(
            "{{{ customkey }}}",
              pm_Locale::lmsg("noti.typeAlert"),
            "{{{ customMessage }}}",
            "{{{ customTitle }}}",
            pm_Notifications_PanelNotification::CATEGORY_ALERT,
            pm_Notifications_PanelNotification::AREA_SECURITY
          )            
        ];

	foreach (Modules_FlexClamServer_NotificationEmail::getEmailNotification() as $itemNoti => $value) {
		$Notifications[$itemNoti] = $value;
	}

	return $Notifications;

    }
    
  
}
