<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

class Modules_FlexClamServer_SimpleList extends pm_Hook_SimpleList{


	public function isEnabled($controller, $action, $activeList){

		if($controller === 'email-address' && ($action === 'list' || $action === 'list-data')){
			
	
			$request = Zend_Controller_Front::getInstance()->getRequest();

		       if(Modules_FlexClamServer_Settings::Get("EnableAutoScan","1")=="1"){

			   if(Modules_FlexClamServer_Helper::AdminAuth()){
				return true;
			   }else if(Modules_FlexClamServer_Helper::ResellerAuth()){
				return  pm_Session::getClient()->hasPermission('scan_ext_enable');
			   }else{
				return pm_Domain::getByDomainId($request->getParam('domainId'))->hasPermission('scan_ext_enable');
			   }
  
			}else{
			       return false;
			}

		}else{

			return false;
		}

	}

	public function getColumns($controller, $action, $activeList){

		$SimpleList = -5;
		if (version_compare(pm_ProductInfo::getVersion(), '18.0.64') > 0) { $SimpleList = -4;}

       		 return [
          	 	"extFlexClamServer" => [
				"noEscape" => true,
				"title" => pm_Locale::lmsg('Email.ScanTitle'),
				"insertBefore" => $SimpleList,
            		]
        	];
	}

	public function getData($controller, $action, $activeList, $data){

		$imgW = "";
		if (version_compare(pm_ProductInfo::getVersion(), '18.0.64') > 0) { $imgW = "width='25px'";}

		$imgUrl = pm_Context::getBaseUrl() . 'images/scan.png';
		$imgLoading = pm_Context::getBaseUrl() . 'images/indicator.gif';

        	foreach ($data as &$row) {

			$idTask = pm_Settings::get('scan_'.$row['name']."@".$row['domainName'],'0');

			if( (int)$idTask > 0 ){ if(!Modules_FlexClamServer_Check::TaskRunning($idTask)){$idTask ='0';pm_Settings::set('scan_'.$row['name']."@".$row['domainName'],null);} }

			$running = "display:none";
			$link = "display:block";

			if( $idTask !== '0' ){
	            		$running = "display:block";
				$link = "display:none";
			}

            		$row["extFlexClamServer"] = "<div class='scan-row mail-".$row['name']."-".str_replace(".","-",$row['domainName'])."' data-task='".$idTask."'><div style='".$running."'><img src='".$imgLoading."' ".$imgW." /> " . pm_Locale::lmsg('Scan.Running') . "</div><div style='".$link."'><a href='javascript:' data-click='".pm_Locale::lmsg('Scan.Running')."' onclick=\"flexscanmail('".$row['name']."','".$row['domainName']."')\"><img src='".$imgUrl."' ".$imgW." /> " . pm_Locale::lmsg('Email.ScanLink') . "</a></div></div>";

        	}


		return $data;
	}



}