<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */


class Modules_FlexClamServer_NotificationEmail{

    public static function getEmailNotification(){
        return [
            'email_admin' => [
                'notifyAdmin' => true,
                'notifyResellers' => false,
                'notifyClients' => false,
                'notifyCustomEmail' => false,
                'customEmail' => '',
                'subject' => "Flex Clam Server - <subject-text>",
                'message' => "<h3>" . pm_Locale::lmsg('noti.typeAlert') . "</h3><p> <message-text> </p>",
                'title' => "Flex Clam Server (" . pm_Locale::lmsg('noti.typeAlert'). ")",
            ],
            'email_customer' => [
                'notifyAdmin' => false,
                'notifyResellers' => false,
                'notifyClients' => true,
                'notifyCustomEmail' => false,
                'customEmail' => '',
                'subject' => "<subject-text>",
                'message' => "<message-text>",
                'title' => pm_Locale::lmsg('Logs.TypeWarning'),
            ]
        ];
    }
}
