<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */


class Modules_FlexClamServer_NotificationPanel extends pm_Notifications_PanelNotification{

    private $keycode;
    private $title;
    private $message;
    private $subject;
    private $category;
    private $area;
    private $action;
    private $actionlink;


    public function __construct($keycode = '',$title = '', $message = '', $subject = '', $category = null, $area = '', $action = '', $actionlink = ''){
        $this->keycode = $keycode;
        $this->title = $title;
        $this->message = $message;
        $this->subject = $subject;        
        $this->category = ($category === null ? pm_Notifications_PanelNotification::CATEGORY_INFORMATION : $category);
        $this->area = $area;   
        $this->action = $action;
        $this->actionlink = $actionlink;
        
    }

    public function getTitle(){
        return $this->title;
    }

    public function getMessage(){
        return $this->message;
    }

    public function getSubject(){
        return $this->subject;
    }

    public function getActionText(){
        return $this->action;
    }

    public function getActionUrl(){
        return $this->actionlink;
    }

    public function getCategory(){
        return $this->category;
    }

    public function getArea(){
        return $this->area;
    }
  
    public function getMessageKey():?string {
        return $this->keycode;
    }

    public function prepareRenderParams($params){
	if(isset($params["customkey"])){
		$this->keycode = $params["customkey"];
	}
	if(isset($params["customMessage"])){
		$this->message = $params["customMessage"];
	}
	if(isset($params["customTitle"])){
		$this->title = $params["customTitle"];
	}

	if(isset($params["customLink"])){
		$this->actionlink = $params["customLink"];
	}

	if(isset($params["customLinkTitle"])){
		$this->action = $params["customLinkTitle"];
	}

	if($this->action==''){$this->action=pm_Locale::lmsg('pageTitle');}

	return $params;
    }
}
