<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

class Modules_FlexClamServer_Public{


    /**
     * Get Info for Home Block
     *
     * @return String Json
     */
    public function homeblock()
    {
	$data = [];
    	$fileManager = new pm_ServerFileManager();
	$filePath = pm_Context::getVarDir() . "\StatsDay.cfg";
	$contentStats = $fileManager->fileGetContents($filePath);

	$items = preg_split('/[\n\r]+/', $contentStats);
	foreach($items as $item) {
		if(strpos($item,"\t")===False){break;}
		$info = explode("\t", $item);
		$data[] = [Modules_FlexClamServer_Settings::FormatDateOutput($info[0],pm_Locale::lmsg('formatDate'))  => $info[5]];

		if(count($data)>1){break;}

	}

	return json_encode($data);

    }

}