<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

$messages = array(
	"formatDate" => "YYYY-MM-DD",
	"tabOverview" => "Domain List",
	"tabVirus" => "Virus List",
	"tabAlert" => "Vulnerabilities",
	"tabTools" => "Tools",
	"tabOptimize" => "Optimize",
	"tabStats" => "Statistics",
	"tabSettings" => "Configuration",
	"tabLogs" => "View Logs",
	"pageTitle" => "Flex Clam Server",
	"pageHome" => "Detected virus statistics in Flex Antivirus",

	"InitInfo" => "This extension is Free indefinitely and all features are active",
	"AppDesc" => "Set up and protect Windows and your domains from viruses and malware in real time.",

	"Status-On" => "On",
	"Status-Off" => "Off",
	"Host-On" => "Hosting Enable",
	"Host-Off" => "Hosting Disabled",

	"Setup" => [
		"Content" => "<h2>Installation and Acceptance of Terms</h2><b><u>MINIMUM REQUIREMENTS</u></b><br><br><dd><li>Windows Server 64bits</li><li>CPU : 2.0Ghz</li><li>SPACE : 2.5Gb</li><li>RAM : 2Gb</li></dd><br><b><u>TERMS AND CONDITIONS</u></b><br><br><dd><p>By agreeing the terms and conditions, you allow the installation of the antivirus on your server or hosting and agree with :<li>be fully responsible for the settings and parameters.</li><li>loss of files, deletion or modification in case of virus detection</li><li>to receive alert notifications based on the settings you have set.</li></p></dd>The extension and antivirus protects you from Viruses and Malware in real time, both in files on your server and in emails processed by MailEnable or SmartMail. Running multiple antivirus programs simultaneously can reduce the performance of the server; we recommend turning off Windows Defender for this purpose.<br><br>",
		"CheckBox" => "I accept all terms of installation and use.",
		"Start" => "Sign",
		"SplashTitle" => "Installing ...",
	],

	"Logs" => [
		"Date" => "Date",
		"Info" => "Information",
		"Clean" => "Clean",
		"TypeVirus" => "Virus",
		"TypeInformation" => "Information",
		"TypeWarning" => "Alert",
		"TypeError" => "Error",
		"TypeDebug" => "Debug",
	],

	"Email" => [
		"ScanTitle" => "Scan",
		"ScanLink" => "Scan",
		"StartSuccess" => "Email scanning started",
		"Task" => "Preparing Task",
		"Wait" => "Starting Scan",
		"Running" => "Scanning ...",
		"Run" => "Scanning %%files%% emails ...<br><small>%%mail%%</small>",
		"Error" => "Task Stopped",
		"Done" => "Scanning Completed.<br>Virus-free in %%mail%% account.",
		"Virus" => "Scanning Completed.<br>Viruses detected in account %%mail%%",
	],

	"Overview" => [
		"AutoScan" => "Auto Scan",
		"Domain" => "Domain",
		"HostSize" => "Hosting Space",
		"ScanHost" => "Scan",
		"ScanHostDesc" => "Start hosting scan on selected domains",
		"LastScan" => "Last Scan",
		"Enable" => "Enable",
		"EnableDesc" => "Enable auto scan on selected domains",
		"Stop" => "Stop",
		"StopDesc" => "Stop all ongoing scans",
		"Disable" => "Disable",
		"DisableDesc" => "Disable auto scan on selected domains",
		"Warnings" => "Alerts",
		"NerverScan" => "No scans performed",
		"StopSuccess" => "All scans have been stopped course",
		"StartSuccess" => "Domain scan started",
		"EnableSuccess" => "Domain activated successfully",
		"DisableSuccess" => "Domain deactivated successfully",


	],
	"Virus" => [
		"Date" => "Date",
		"Name" => "Virus",
		"Type" => "Type",
		"TypeFile" => "File",
		"TypeEmail" => "Mail",
		"File" => "File / Mail",
		"Remove" => "Deleted",
		"Delete" => "Delete",
		"DeleteDesc" => "Delete file",
		"Clean" => "Hide",
		"CleanDesc" => "Clean Registry",
		"Scan" => "Scan",
		"ScanDesc" => "Rescan file",
		"DeleteSuccess" => "Files deleted successfully",
		"CleanSuccess" => "Registry hidden successfully",
		"ScanSuccess" => "Virus scanned again successfully",
		"Found" => "Virus Found",
		"Protect" => "Virus deleted",
		"Info" => "The green icon in the virus column indicates that the virus or dangerous file has been deleted",
	],
	"Optimize" => [
		"TaskInfo" => "Getting Information",
		"TaskRam" => "Optimizing RAM ...",
		"TaskTemp" => "Clean Temporary Files ...",
		"TaskComplete" => "Task Completed",
		"TitleButton" => "Free up RAM cache and optimize your server",
		"ButtonRam" => "Optimize RAM",
		"ButtonTemp" => "Clear Temporary",
		"TitleCPU" => "Total CPU Usage",
		"CoreCPU" => "%1 Cores",
		"TitleRAM" => "Total RAM Usage",
		"TotalRAM" => "Installed %1",
		"AvailableRAM" => "Available %1",
		"TitleTemp" => "Temp Files Disk Usage",
		"TempDom" => "%1 Domains",
		"TempSystem" => "%1 Server",
		"InfoRam" => "Optimize RAM",
		"TextRam" => "Flex Antivirus easily optimizes RAM to really improve performance. This process does not close programs, it only frees reserved memory that is no longer used. It is recommended to perform this operation at least once a day and no more than once an hour to efficiently reclaim RAM.",
		"InfoTemp" => "Temporary File Cleanup",
		"TextTemp" => "Flex Antivirus scans your server for temporary files, caches, and obsolete logs that are no longer needed. These files can accumulate over time and take up hard drive space. Gain server space quickly and easily.",
	],
	"Alert" => [
		"FlexFirewallInstall" => "Install Flex Firewall",	
		"FlexFirewallGo" => "Flex Firewall",	
		"EnableAccount" => "Enable Account", 
		"DisableAccount" => "Disable Account",
		"EnableTLS" => "Cipher Enabled",
		"DisableTLS" => "Cipher Disabled",
		"MultiAdminAccount" => "Additional accounts are not recommended",
		"MustChanged" => "Account without password change in more than a year",
		"DateChanged" => "Last password update : %%date%%",
		"ShowAll" => "Show all results",
		"Actions" => "Actions",
		"Scan" => "Inspect",
		"ScanDesc" => "Scan for system alerts and vulnerabilities",
		"TypeSystem" => "Server",
		"SystemUpdate" => "Windows Updates",
		"SystemFirewall" => "Firewall",
		"SystemTLS" => "Security Chipher",
		"TypeUser" => "User Account or Login",
		"TypeSYS" => "Cuenta Sistema",
		"UserAccount" => "User Account",
		"TypeMail" => "Email Account",
		"MailAccount" => "Email",
		"TypeDB" => "Database Login",
		"DBAccount" => "Database",
		"TypeDir" => "Folder Login",
		"DirAccount" => "Protected Directory",
		"Type" => "Item",
		"Client" => "Client",
		"Domain" => "Domain",
		"Info" => "Information",
		"StatusDate" => "Results obtained on %1",
		"StatusBAD" => "Insecure Key",
		"StatusOLD" => "Old Encryption",
		"StatusOK" => "No problem",
		"StatusCHK" => "Needs Review",
		"StatusCHKL" => "Not contain lowercase",
		"StatusCHKU" => "Not contain uppercase",
		"StatusCHKW" => "Weak pass or contains easy word",
		"StatusCHKD" => "Not contain numbers",
		"StatusCHKE" => "Contain only one ending symbol easy to hack",
		"StatusCHKS" => "No symbols",
		"UpdateSetting" => "Windows Update is not automatic or is disabled",
		"UpdateSystem" => "Windows Update service disabled",
		"MimeVBS" => "Can run Scripts VBS",
		"FirewallKO" => "High Risk. Firewall Disabled",
		"FirewallWindows" => "Windows Firewall",
		"FirewallFlex" => "Flex Firewall",
		"GuestAccount" => "Guest account ",
		"RemoteAccount" => "Allowed Remote Access",
		"AdminAccount" => "Admin account",
		"AdminAccountMulti" => "Adicional Admin account",
		"SSLOLD" => "High Risk. Obsolete Cipher enable",
		"SSLBAD" => "High Risk. Insecure Cipher enable",
		"SSLOK" => "Secure Cipher disabled",
	],
	"Stats" => [
		"HourTitle" => "Statistics for the last %%hour%% hours",
		"DayTitle" => "Statistics for the last %%day%% days",
		"Total" => "Scans",
		"Found" => "Virus/Malware",
		"View" => "Click the color key to toggle quick view on/off",
	],
	"Settings" => [
		"AutoScan" => "Enable Antivirus / Malware protection",
		"AutoScanDesc" => "Real-Time protecction for all server",
		"ScanOnStartUp" => "Scan at Server Startup",
		"ScanOnStartUpDesc" => "Checks the applications that auto-start when the server starts up",
		"NotiMail" => "Notify administrator by email when virus detected",
		"AutoTypeScan" => "Scan Hostings",
		"AutoTypeScanDesc" => "Automatically scan domains",
		"AutoTypeRam" => "Optimize RAM",
		"DailyHour" => "Every Hour",
		"DailyMorning" => "Every Morning",
		"DailyNight" => "Every Night",
		"DailyNone" => "Disable",
		"SaveSuccess" => "Configuration saved successfully",
		"ApplySuccess" => "Configuration applied successfully",
		"ActionSYS" => "Action when virus found on Server",
		"ActionSYSDesc" => "Only applies to Windows, Server or Program files",
		"ActionDOM" => "Action when virus found on Domain",
		"ActionDOMDesc" => "Only applies to files within the hosting",
	],
	"Scan" => [
		"Enable" => "Allow the client to scan for viruses",
		"Task" => "Preparing Task",
		"Wait" => "Starting Scan",
		"Running" => "Scanning ...",
		"Run" => "Scanning %%files%% files ... <a href='%%link%%'>[Stop]</a><br><small>%%domain%%</small>",
		"Error" => "Task Stopped",
		"Done" => "Scan Complete. System Clean.<br><a href='%%link%%'>View Result</a>",
		"Virus" => "Scan Complete. Viruses detected.<br><a href='%%link%%'>View Result</a>",
	],
	"Action" => [
		"Fix" => "Fix it",	
		"None" => "Report Only",
		"Delete" => "Delete File",
		"Edit" => "Edit",
		"Change" => "Change",
		"Force" => "Force",
		"Noti" => "Notify",
		"Yes" => "Yes",
		"No" => "No",
		"Cancel" => "Cancel",
	],

	"Message" => [
		"StopService" => "Antivirus service is not running %%button%%",
		"Stop" => "Antivirus protection disabled. %%button%%",
		"WD" => "Windows Defender is active. It is not recommended to have two antivirus running. %%button%%",
		"WDMailEnable" => "Windows Defender is disabled, but it is enable on MailEnable. Set Flex Clam Server to MailEnable. %%button%%",
		"CLMailEnable" => "MailEnable does not have any Antivirus configured. Set Flex Clam Server as antivirus in MailEnable. %%button%%",
		"buttonEnable" => "Enable",
		"buttonDisable" => "Disable",
		"buttonStart" => "Start",
		"NotiMailPass" => "Do you want to inform %1 by email that it is recommended for security reasons update the password for %2 ?",
		"MailNoti" => "%%client%%, we are contacting you for security reasons.\n\nOur system has detected that %%id%% belonging to '%%type%%' is using an insecure password or with risk of being compromised.\n\nWe ask you go to Plesk Panel and update the password for new one for better security and protection.\n\nThank you.",
		"NotiForcePass" => "Do you want to force %1 update security password for %2 when next time logging into Plesk panel ?",
		"ForceNoti" => "For security reasons it is mandatory that you update the %%id%% key before continuing.",
	],

	"Promo" => [
		"Title" => "Flex Firewall for Plesk",
		"Desc" => "Improve security with firewall management for your server. Protect yourself from any network attack.",
		"Button" => "Install"
	],

	"noti" => [
		"typeInfo" => "Antivirus Information",
		"typeAlert" => "Antivirus Alert",
		"UpgradePRO" => "Feature not available. Please upgrade to paid version.",
		"NotiFoundVirus" => "Potentially dangerous files or viruses have been detected. %%info%%",
		"MailNoti" => "Email sent to %%email%%",
		"ForceNoti" => "Force password update implemented",
	],

  "Upgrade" => "Upgrade",
  "MailServer" => "Mail Server",
  "AppPro" => "License",
  "AppProBasic" => "Free",
  "AppUpgrade" => "Upgrade to paid version",
  "AppProFull" => "Full Access",
  "AppProFullDate" => "(Free until %1)",
	
);