<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

$messages = array(
	"formatDate" => "DD/MM/YYYY",
	"tabOverview" => "Lista Dominios",
	"tabVirus" => "Lista Virus",
	"tabAlert" => "Vulnerabilidades",
	"tabTools" => "Utilidades",
	"tabOptimize" => "Optimizador",
	"tabStats" => "Estadísticas",
	"tabSettings" => "Configuración",
	"tabLogs" => "Ver Logs",
	"pageTitle" => "Flex Clam Server",
	"pageHome" => "Estadísticas virus detectados en Flex Antivirus",

	"InitInfo" => "Esta extensión es Gratuita de manera indefinida y todas las funciones están activas",
	"AppDesc" => "Configure y proteja de virus y malware en tiempo real Windows y sus dominios.",


	"Status-On" => "Activado",
	"Status-Off" => "Desactivado",
	"Host-On" => "Hosting Activo",
	"Host-Off" => "Hosting Desactivado",

	"Setup" => [
		"Content" => "<h2>Instalación y Aceptación de Condiciones</h2><b><u>REQUISITOS MINIMOS</u></b><br><br><dd><li>Windows Server 64bits</li><li>CPU : 2.0Ghz</li><li>ESPACIO : 2.5Gb</li><li>RAM : 2Gb</li></dd><br><b><u>CONDICIONES</u></b><br><br><dd><p>Con la aceptación de las condiciones, autoriza la instalación del antivirus en su servidor o hosting y acepta:<li>ser el único responsable de la configuración y parámetros.</li><li>la pérdida de archivos, eliminación o modificación en caso de detección de virus</li><li>a recibir notificaciones de alertas en base a las configuraciones establecidas</li></p></dd>La extensión y antivirus le protege de Virus y Malware en tiempo real, tanto en archivos de su servidor como en correos electrónicos gestionados por MailEnable o SmartMail. Tener instalados varios antivirus o funcionando simultáneamente pueden reducir el rendimiento del servidor; en este sentido recomendamos desactivar Windows Defender.<br><br>",
		"CheckBox" => "Acepto todas las condiciones de instalación y uso.",
		"Start" => "Firmar",
		"SplashTitle" => "Instalando ...",
	],

	"Logs" => [
		"Date" => "Fecha",
		"Info" => "Información",
		"Clean" => "Limpiar",
		"TypeVirus" => "Virus",
		"TypeInformation" => "Información",
		"TypeWarning" => "Alerta",
		"TypeError" => "Error",
		"TypeDebug" => "Depuración",
	],

	"Email" => [
		"ScanTitle" => "Escanear",
		"ScanLink" => "Escanear",
		"StartSuccess" => "Escaneo de email iniciado",
		"Task" => "Preparando Tarea",
		"Wait" => "Iniciando Escaneo",
		"Running" => "Escaneando ...",
		"Run" => "Escaneando %%files%% emails ...<br><small>%%mail%%</small>",
		"Error" => "Tarea Detenida",
		"Done" => "Escaneo Finalizado.<br>Email %%mail%% sin virus.",
		"Virus" => "Escaneo Finalizado.<br>Se han detectado virus en la cuenta %%mail%%",
	],

	"Overview" => [
		"AutoScan" => "Auto Escanear",
		"Domain" => "Dominio",
		"HostSize" => "Espacio Hosting",
		"ScanHost" => "Escanear",
		"ScanHostDesc" => "Iniciar escaneo del hosting en los dominios seleccionados",
		"LastScan" => "Último Escaneo",
		"Enable" => "Activar",
		"EnableDesc" => "Activar autoescaneo en los dominios seleccionados",
		"Stop" => "Detener",
		"StopDesc" => "Detener todos los escaneos en curso",
		"Disable" => "Desactivar",
		"DisableDesc" => "Desactivar autoescaneo en los dominios seleccionados",
		"Warnings" => "Alertas",
		"NerverScan" => "Sin escaneos realizados",
		"StopSuccess" => "Se han detenido todos los escaneo en curso",
		"StartSuccess" => "Escaneo de dominio iniciado",
		"EnableSuccess" => "Dominio activado correctamente",
		"DisableSuccess" => "Dominio desactivado correctamente",


	],
	"Virus" => [
		"Date" => "Fecha",
		"Name" => "Virus",
		"Type" => "Tipo",
		"TypeFile" => "Archivo",
		"TypeEmail" => "Email",
		"File" => "Archivo/Correo",
		"Remove" => "Eliminado",
		"Delete" => "Eliminar",
		"DeleteDesc" => "Eliminar archivo",
		"Clean" => "Ocultar",
		"CleanDesc" => "Limpiar Registro",
		"Scan" => "Escanear",
		"ScanDesc" => "Escanear de nuevo el archivo",
		"DeleteSuccess" => "Archivos eliminados correctamente",
		"CleanSuccess" => "Registro ocultado correctamente",
		"ScanSuccess" => "Virus escaneados nuevamente de forma correcta",
		"Found" => "Virus activo",
		"Protect" => "Virus eliminado",
		"Info" => "El icono verde en la columna virus indica que el virus o archivo peligroso ha sido eliminado",
	],
	"Optimize" => [
		"TaskInfo" => "Obteniendo Información",
		"TaskRam" => "Optimizando RAM ...",
		"TaskTemp" => "Limpiando Temporales ...",
		"TaskComplete" => "Tarea Finalizada",
		"TitleButton" => "Liberar caché de RAM y optimizar su servidor",
		"ButtonRam" => "Optimizar RAM",
		"ButtonTemp" => "Eliminar Temporales",
		"TitleCPU" => "Uso total de la CPU",
		"CoreCPU" => "%1 nucleos",
		"TitleRAM" => "Uso total de la RAM",
		"TotalRAM" => "Instalado %1",
		"AvailableRAM" => "Disponible %1",
		"TitleTemp" => "Uso disco archivos temporales",
		"TempDom" => "%1 de Dominios",
		"TempSystem" => "%1 del Servidor",
		"InfoRam" => "Optimizar la RAM",
		"TextRam" => "Flex Antivirus optimiza la RAM fácilmente para mejorar de verdad el rendimiento. Este proceso no cierra programas, sólo libera memoria reservada que ha dejado de usarse. Se recomienda realizar esta operación al menos una vez al día y no más de una vez por hora para recuperar de forma eficiente la memoria RAM.",
		"InfoTemp" => "Limpieza de archivos temporales",
		"TextTemp" => "Flex Antivirus escanea el servidor en busca de archivos temporales, cachés y registros obsoletos que ya no son necesarios. Estos archivos pueden acumularse con el tiempo y ocupar espacio en el disco duro. Gana espacio en el servidor de forma rápida y fácil.",
	],
	"Alert" => [
		"FlexFirewallInstall" => "Instala Flex Firewall",	
		"FlexFirewallGo" => "Flex Firewall",	
		"EnableAccount" => "Cuenta Activa",
		"DisableAccount" => "Cuenta Desactivada",
		"MultiAdminAccount" => "No se recomienda tener cuentas adicionales",
		"EnableTLS" => "Cifrado Activado",
		"DisableTLS" => "Cifrado Desactivado",
		"MustChanged" => "Cuenta sin cambio de clave en más de un año",
		"DateChanged" => "Última actualización de clave : %%date%%",
		"ShowAll" => "Mostrar todos los resultados",
		"Actions" => "Acciones",
		"Scan" => "Inspeccionar",
		"ScanDesc" => "Buscar alertas del sistema y vulnerabilidades",
		"TypeSystem" => "Servidor",
		"SystemUpdate" => "Actualizaciones Windows",
		"SystemFirewall" => "Firewall",
		"SystemTLS" => "Cifrado Seguridad",
		"TypeUser" => "Cuenta Usuario o Login",
		"TypeSYS" => "Cuenta Sistema",
		"UserAccount" => "Cuenta Usuario",
		"TypeMail" => "Cuenta de Email",
		"MailAccount" => "Email",
		"TypeDB" => "Login de Base de Datos",
		"DBAccount" => "Base de Datos",
		"TypeDir" => "Login de Carpeta",
		"DirAccount" => "Directorio Protegido",
		"Type" => "Elemento",
		"Client" => "Cliente",
		"Domain" => "Dominio",
		"Info" => "Información",
		"StatusDate" => "Resultados obtenidos el %1",
		"StatusBAD" => "Clave Insegura",
		"StatusOLD" => "Cifrado Antiguo",
		"StatusOK" => "Elemento Correcto",
		"StatusCHK" => "Necesita Revisión",
		"StatusCHKL" => "No contiene minusculas",
		"StatusCHKU" => "No contiene mayusculas",
		"StatusCHKW" => "Clave débil o contiene palabra fácil",
		"StatusCHKD" => "No contiene números",
		"StatusCHKE" => "Contiene un único símbolo final muy común",
		"StatusCHKS" => "No contiene símbolos",
		"UpdateSetting" => "Windows Update no automático o desactivado",
		"UpdateSystem" => "Servicio Windows Update desactivado",
		"MimeVBS" => "Ejecución Scripts VBS",
		"FirewallKO" => "Riesgo Alto. Firewall Desactivado",
		"FirewallWindows" => "Windows Firewall",
		"FirewallFlex" => "Flex Firewall",
		"GuestAccount" => "Cuenta de Invitado",
		"RemoteAccount" => "Permiso Acceso Remoto",
		"AdminAccount" => "Cuenta Administrador",
		"AdminAccountMulti" => "Cuenta Administrador Adicional",
		"SSLOLD" => "Riesgo Alto. Cifrado Obsoleto activo.",
		"SSLBAD" => "Riesgo Alto.  Cifrado Inseguro activo.",
		"SSLOK" => "Cifrado Seguro desactivado.",
	],

	"Stats" => [
		"HourTitle" => "Estadísticas de las últimas %%hour%% horas",
		"DayTitle" => "Estadísticas de los últimos %%day%% días",
		"Total" => "Escaneos",
		"Found" => "Virus/Malware",
		"View" => "Haz click en la leyenda de colores para activar o desactivar la vista rápida",
	],
	"Settings" => [
		"AutoScan" => "Activar protección Antivirus / Malware",
		"AutoScanDesc" => "Protección en tiempo real para todo el servidor",
		"ScanOnStartUp" => "Escanear al iniciar Servidor ",
		"ScanOnStartUpDesc" => "Verifica las aplicaciones que se autoinician al arrancar el servidor",
		"NotiMail" => "Notificar por email al administrador cuando detecte un virus",
		"AutoTypeScan" => "Escanear Hostings",
		"AutoTypeScanDesc" => "Escanear dominios de forma automática",
		"AutoTypeRam" => "Optimizar RAM",
		"DailyHour" => "Cada Hora",
		"DailyMorning" => "Cada Mañana",
		"DailyNight" => "Cada Noche",
		"DailyNone" => "Desactivar",
		"SaveSuccess" => "Configuración guardada con exito",
		"ApplySuccess" => "Configuración aplicada con exito",
		"ActionSYS" => "Acción al encontrar virus en Servidor",
		"ActionSYSDesc" => "Sólo aplica a los archivos de Windows, Servidor o Programas",
		"ActionDOM" => "Acción al encontrar virus en Dominio",
		"ActionDOMDesc" => "Sólo aplica a los archivos dentro del hosting",
	],
	"Scan" => [
		"Enable" => "Permitir al cliente escanear en busca de virus",
		"Task" => "Praparando Tarea",
		"Wait" => "Iniciando Escaneo",
		"Running" => "Escaneando ...",
		"Run" => "Escaneando %%files%% archivos ... <a href='%%link%%'>[Detener]</a><br><small>%%domain%%</small>",
		"Error" => "Tarea Detenida",
		"Done" => "Escaneo Finalizado. Sistema Limpio.<br><a href='%%link%%'>Ver Resultado</a>",
		"Virus" => "Escaneo Finalizado. Se han detectado virus.<br><a href='%%link%%'>Ver Resultado</a>",
	],
	"Action" => [
		"Fix" => "Solucionar",	
		"None" => "Sólo Informar",
		"Delete" => "Eliminar Archivo",
		"Edit" => "Editar",
		"Change" => "Cambiar",
		"Force" => "Forzar",
		"Noti" => "Notificar",
		"Yes" => "Si",
		"No" => "No",
		"Cancel" => "Cancelar",
	],

	"Message" => [
		"StopService" => "El servicio de Antivirus no está funcionando %%button%%",
		"Stop" => "Protección Antivirus desactivado. %%button%%",
		"WD" => "Windows Defender está activo. No se recomienda tener dos antivirus funcionando. %%button%%",
		"WDMailEnable" => "Windows Defender está desactivado, pero está asignado como Antivirus en MailEnable. Asignar Flex Clam Server como antivirus en MailEnable. %%button%%",
		"CLMailEnable" => "MailEnable no tiene configurado ningún Antivirus. Asignar Flex Clam Server como antivirus en MailEnable. %%button%%",
		"buttonEnable" => "Activar",
		"buttonDisable" => "Desactivar",
		"buttonStart" => "Iniciar",
		"NotiMailPass" => "¿ Deseas informar a %1 por email que se recomienda por seguridad actualizar la clave de %2 ?",
		"MailNoti" => "%%client%%, contactamos contigo por razones de seguridad.\n\nNuestro sistema ha detectado que %%id%% perteneciente a '%%type%%' usa una clave insegura o con riesgo a verse comprometida.\n\nTe pedimos que entres en el Panel Plesk y actualices los datos por unos nuevos para obtener mayor seguridad y protección.\n\nGracias.",
		"NotiForcePass" => "¿ Deseas forzar a %1 la actualización de clave seguridad para %2 la próxima vez que entre al panel Plesk ?",
		"ForceNoti" => "Por razones de seguridad es obligatorio que actualices la clave de %%id%% antes de continuar.",
	],

	"Promo" => [
	    "Title" => "Flex Firewall para Plesk",
	    "Desc" => "Mejora la seguridad con la gestión del Firewall para tu servidor. Protegete de cualquier ataque de red.",
	    "Button" => "Instalar"
	],

	"noti" => [
		"typeInfo" => "Información Antivirus",
		"typeAlert" => "Alerta Antivirus",
		"UpgradePRO" => "Opción no disponible. Actualice a la versión de pago.",
		"NotiFoundVirus" => "Se han detectado archivos potencialmente peligrosos o virus. %%info%%",
		"MailNoti" => "Mensaje enviado a %%email%%",
		"ForceNoti" => "Forzar actualización de clave implementada",
	],

  "Upgrade" => "Actualizar",
  "MailServer" => "Servidor Email",
  "AppPro" => "Licencia",
  "AppProBasic" => "Gratis",
  "AppUpgrade" => "Actualizar a la versión de pago",
  "AppProFull" => "Acceso Completo",
  "AppProFullDate" => "(Gratis hasta %1)",
	
);