<?php
/**
 * Copyright 2025 Flex Clam Server for Plesk
 *
 * Permission is hereby not granted to manipulate, modify or adapt the code;
 * as well as obtain a copy of this software or the associated documentation.
 * It is not allowed to publish, distribute, sublicense and/or sell copies of the Software,
 * without the consent of the author or creator of the software.
 *
 * The above copyright notice and this permission notice will be included
 * on all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT
 * AUTHORS OR COPYRIGHT HOLDERS WILL BE RESPONSIBLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION,
 * TORT OR OTHERWISE, ARISING OUT OF OR IN CONNECTION WITH THE SOFTWARE OR USE.
 *
 * @copyright 2025 Flex Clam Server for Plesk
 * @author Flex Antivirus <info@antivirus.flexservices.app>
 * @license Copyright
 */

	pm_Context::init('flex-clam-server');
	if(Modules_FlexClamServer_Settings::Get("Job", "Init")=="Init"){return;}


	$hostLimit = false;	
	$hostSize = 0;
	$limit = 5000000000;	// 5Gb
	if( pm_Settings::get("AutoTypeScan", "night") === 'night' ){$limit = 10000000000;} 	// 10Gb

	echo "Init Periodic Task\n";
	pm_Log::info("FlexClamServer : Task AutoScan");

	if(!Modules_FlexClamServer_License::isLicenced()){
		pm_Log::warn("FlexClamServer : AutoScan " . pm_Locale::lmsg('AppPro') . " -> " . pm_Locale::lmsg('AppUpgrade'));
		$hostLimit = true;
		$limit = 1000000000;	// 1Gb
		if( pm_Settings::get("AutoTypeScan", "night") === 'hour' ){pm_Settings::set("AutoTypeScan", "disabled");pm_Log::info("FlexClamServer : Periodic Task Disabled");echo "Periodic Task Disabled\n";exit(0);} // deny
	}


	if(Modules_FlexClamServer_Settings::Get("EnableAutoScan","0")=="0"){pm_Log::info("FlexClamServer : AutoScan Disabled");echo "AutoScan Disabled\n";exit(0);}
	if(pm_Settings::get("AutoTypeScan", "night")=="disabled"){pm_Log::info("FlexClamServer : Periodic Task Disabled");echo "Periodic Task Disabled\n";exit(0);}

	echo "Searching Domains\n";
	$firstscan=false;
	$DomainList = (array)Modules_FlexClamServer_Helper::GetAllDomains(false);

	foreach ($DomainList as $domain) {
		if((boolean)$domain["enable"] == false){unset($DomainList[$domain["id"]]);}
	}

	foreach ($DomainList as $domain) {

		if($domain["lastScan"] == null){

			if($hostSize > $limit){break;}

			$hostSize = (float)$hostSize + (float)$domain["hostSize"];

			$firstscan=true;
			echo "Checking Domain : ".$domain["name"]."\n";
			pm_Log::info("FlexClamServer : Scan " . $domain["name"]);

			$taskManager = new pm_LongTask_Manager();
			$scanTask = new Modules_FlexClamServer_Task_Scan();
		        $scanTask->setParams(['domainId' => $domain["id"]]);
			$scanTask->setParams(['remove' => "1"]);
        		$taskManager->start($scanTask);

			if($hostLimit){break;}

		}
	}


	if($firstscan==false && $hostSize < $limit){

		$dates = array();
		foreach ($DomainList as $key => $row) {
		   $dates[$key] = $row['lastScan'];
		}
		array_multisort($dates, SORT_ASC, $DomainList);
		$KeyList = array_keys($DomainList);

		for($ic=0;$ic<count($KeyList);$ic++){

			if($hostSize > $limit){break;}

			$CheckKey = $KeyList[$ic];

			echo "Checking Domain : ".$DomainList[$CheckKey]["name"]."\n";
			pm_Log::info("FlexClamServer : Scan " . $DomainList[$CheckKey]["name"]);

			$taskManager = new pm_LongTask_Manager();
			$scanTask = new Modules_FlexClamServer_Task_Scan();
			$scanTask->setParams(['domainId' => $DomainList[$CheckKey]["id"]]);
			$scanTask->setParams(['remove' => "1"]);
	        	$taskManager->start($scanTask);

			$hostSize = (float)$hostSize + (float)$DomainList[$CheckKey]["hostSize"];

			if($hostLimit){break;}

		}


	}


	pm_ApiCli::callSbin("FlexClamServer.exe",array("-alert","-scan"));
